{crmScope extensionKey="loginsecurity"}
  <h3>{ts}Access History{/ts}</h3>

  <p class="help">{ts}Audit CiviCRM login activity for this contact on this page. It displays the recent CiviCRM sessions (usually successful logins or access with a CiviCRM checksum). If you do not recognize a recent session, please change your password as soon as possible.{/ts}</p>

  <div>
    <table>
      <thead>
        <th>{ts}Last Seen{/ts}</th>
        <th>{ts}Device{/ts}</th>
        {if $loginSecurityHasCountry}
          <th>{ts}Country{/ts}</th>
        {/if}
        <th>{ts}First Seen{/ts}</th>
      </thead>
      <tbody>
        {foreach from=$loginSecurityDevices item=row}
          <tr>
            <td>{$row.last_seen}</td>
            <td>{ts}IP Address:{/ts} {$row.ip_address}
              <br>{ts}Browser ID:{/ts} {$row.fingerprint}
              <br>{ts}User Agent:{/ts} {$row.user_agent}
            </td>
            {if $loginSecurityHasCountry}
              <td>{$row.geoip}</td>
            {/if}
            <td>{$row.first_seen}</td>
          </tr>
        {/foreach}
      </tbody>
    </table>

  </div>

{/crmScope}
